interfaces Library: KTextEditor::ConfigInterfaceExtension Class Reference (interfaces Library)

| # interfaces Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KTextEditor::ConfigInterfaceExtension Class Reference

This is an interface to extend the configuration of the Document, Plugin and PluginViewInterface classes. More...

`#include <configinterfaceextension.h>`

List of all members.

## Public Member Functions
unsigned int | configInterfaceExtensionNumber () const
virtual uint | configPages () const =0
virtual ConfigPage * | configPage (uint number=0, QWidget *parent=0, const char *name=0)=0
virtual QString | configPageName (uint number=0) const =0
virtual QString | configPageFullName (uint number=0) const =0
virtual QPixmap | configPagePixmap (uint number=0, int size=KIcon::SizeSmall) const =0
## Protected Member Functions
void | setConfigInterfaceExtensionDCOPSuffix (const QCString &suffix)
## Friends
class | PrivateConfigInterfaceExtension

## Detailed Description

This is an interface to extend the configuration of the Document, Plugin and PluginViewInterface classes.

Definition at line 67 of file configinterfaceextension.h.

## Member Function Documentation

virtual uint KTextEditor::ConfigInterfaceExtension::configPages | ( |  | ) | const`[pure virtual]`

| Number of available config pages.

virtual ConfigPage* KTextEditor::ConfigInterfaceExtension::configPage | ( | uint | number = `0`,
|  | QWidget * | parent = `0`,
|  | const char * | name = `0`
| ) | `[pure virtual]`

| returns config page with the given number, config pages from 0 to configPages()-1 are available if configPages() > 0

The documentation for this class was generated from the following files:

- configinterfaceextension.h
- configinterfaceextension.cpp

This file is part of the documentation for interfaces Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:35:13 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003